Page MenuHomePhabricator

Regression from 1.35.0-wmf.16: user_age abusefilter variable reports 0 for users with no registration time, rather than 11+ years
Closed, ResolvedPublic

Description

Noticed recently in Wikimedia Commons, that user_age variable has 0 value for estalished users; eg here:
https://commons.wikimedia.org/wiki/Special:AbuseLog/6966394
or here:
https://commons.wikimedia.org/wiki/Special:AbuseLog/6966463

According to documentation user_age should has 0 value only for unregistered users and this test is commonly used in many wikis to identify unregistered users. Changed behaviout may prevent many users from editing.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Ankry created this task.Jan 22 2020, 10:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2020, 10:27 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I assume this is just the old "accounts created before late 2008 don't have a new user log entry"?

Masti added a subscriber: Masti.Jan 22 2020, 11:09 PM

I assume this is just the old "accounts created before late 2008 don't have a new user log entry"?

… nope, breakage caused by the fix in 87459ec.

Oy.

CC @MaxSem @Daimona.

Change 566621 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/AbuseFilter@master] Follow-up 87459ec: When no registration date is recorded, use 2008-01-15

https://gerrit.wikimedia.org/r/566621

Jdforrester-WMF renamed this task from user_age abusefilter variable reports 0 for logged in, established users to Regression from 1.35.0-wmf.16: user_age abusefilter variable reports 0 for users with no registration time, rather than 11+ years.Jan 22 2020, 11:26 PM
Jdforrester-WMF added a project: Regression.

Change 566621 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Follow-up 87459ec: When no registration date is recorded, use 2008-01-15

https://gerrit.wikimedia.org/r/566621

Change 566624 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/AbuseFilter@wmf/1.35.0-wmf.16] Follow-up 87459ec: When no registration date is recorded, use 2008-01-15

https://gerrit.wikimedia.org/r/566624

Change 566624 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@wmf/1.35.0-wmf.16] Follow-up 87459ec: When no registration date is recorded, use 2008-01-15

https://gerrit.wikimedia.org/r/566624

Mentioned in SAL (#wikimedia-operations) [2020-01-23T01:40:40Z] <jforrester@deploy1001> Synchronized php-1.35.0-wmf.16/extensions/AbuseFilter/includes/AFComputedVariable.php: T243469 When no registration date is recorded, use 2008-01-15 (duration: 01m 08s)

OK, confirmed now fixed – on my personal account (which is old enough), I triggered the OTRS abuse filter, and it gave an appropriate age: https://commons.wikimedia.org/wiki/Special:AbuseFilter/examine/log/6966880

Belatedly, thank you for the quick fix! And I also like the choice of the date :) I got confused while removing the null fallback, and I didn't even think of the missing registrations.

Belatedly, thank you for the quick fix! And I also like the choice of the date :) I got confused while removing the null fallback, and I didn't even think of the missing registrations.

No problem at all. It'd be nice if MW didn't have such odd edge-cases.